Subject: Re: git-remote SEGV on t5505 test.

From: SungHyun Nam <[email-masked]>
Date: Fri, 18 Jul 2008 14:44:45 +0900

Junio C Hamano wrote:
> SungHyun Nam <[email-masked]> writes:
> 
>> And the 'skip_prefix()' returns NULL in this case.
>> (The old skip_prefix() never returns NULL).
> 
> Thanks.  Something like this?

With this patch, 'make test' passed all the tests successfully.
I ran test with GIT_SKIP_TESTS="t90?? t91?? t92?? t94??".

Regards,
namsh

P.S I skipped svn/cvs test because I don't need them (And no
     svn/cvs installed).  But, I skipped send-email test because it
     fails.  I thought I don't need to use send-email.

     And now I check what caused fail.  The problem was this test
     script generates 'fake.sendmail' which uses '/bin/sh'.

     Is it possible that we can use 'SHELL_PATH' here?  Or could
     you apply the patch below?

diff --git a/t/t9001-send-email.sh b/t/t9001-send-email.sh
index de5b980..0320aa1 100755
--- a/t/t9001-send-email.sh
+++ b/t/t9001-send-email.sh
@@ -16,7 +16,7 @@ test_expect_success \
      '(echo "#!/bin/sh"
        echo shift
        echo output=1
-      echo "while test -f commandline\$output; do
output=\$((\$output+1)); done"
+      echo "while test -f commandline\$output; do output=\`expr
\$output + 1\`; done"
        echo for a
        echo do
        echo "  echo \"!\$a!\""